Page MenuHomePhabricator

import prometheus-memcached-exporter into wikimedia-stretch
Closed, ResolvedPublic

Description

Spoke to @Dzahn on irc and said for me to create this task.

A puppet class (not sure which one) requires prometheus-memcached-exporter so when you have a stretch machine it will fail to run puppet due to the package not being in stretch.

Event Timeline

Paladox created this task.Mar 6 2018, 10:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2018, 10:42 PM
Dzahn added a comment.Mar 6 2018, 11:01 PM

The class that includs this is:

modules/profile/manifests/memcached/instance.pp:    include ::profile::prometheus::memcached_exporter

And that is included by:

modules/role/manifests/memcached.pp:    include profile::memcached::instance

So you are getting this when role(memcached) gets applied.

Paladox updated the task description. (Show Details)Mar 6 2018, 11:11 PM

Mentioned in SAL (#wikimedia-operations) [2018-04-16T10:18:35Z] <godog> upload prometheus-memcached-exporter to stretch-wikimedia - T189056

fgiunchedi closed this task as Resolved.Apr 16 2018, 10:18 AM
fgiunchedi claimed this task.

Done!